Function
value
Reference to the value.
Reference value(object)
Reference value(container, position)
Include Headers
seqan/basic.h, seqan/graph_types.h, seqan/sequence.h ???Anti Default Sequences
Parameters

container | A container of values. Types: AlignCols, char array, Segment, SparseString, std::basic_string, std::vector, std::vector, String, thrust::device_vector
object | An object that holds a value or an iterator that points to a value. Types: IteratorAssociatedTypesConcept: AnnotationTree Iterator, BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, Holder, Out-Edge Iterator, Shape, StringSet, Vertex Iterator, VSTree Iterator
position | A position in container on which the value should be accessed.

Return Values
A reference or proxy to the value.
Metafunctions: Reference
Member of
Bfs Iterator, std::basic_string, StringSet, Edge Iterator, thrust::device_vector, Segment, Iter, Vertex Iterator, Shape, Dfs Preorder Iterator, char array, Out-Edge Iterator, Adjacency Iterator, std::vector, Holder, SparseString
Example Programs
Iterator Basics
Part of Concept
ContainerConcept, Container, AggregateConcept
See Also
front, back, iter, getValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59